
// ASCII character definition header file
//---------------------------------------
#if !defined __ASCII_H__
#define __ASCII_H__

#define nul     '\x00'	// Null
#define soh		'\x01'	// Start of heading
#define stx		'\x02'	// Start of text
#define etx		'\x03'	// End of text
#define eot		'\x04'	// End of transmission
#define enq		'\x05'	// Enquiry
#define ack		'\x06'	// Acknowledge
#define bel		'\x07'	// Bell
#define bs		'\x08'	// Backspace
#define ht		'\x09'	// Horizontal tabulation
#define lf		'\x0A'	// Line feed
#define vt		'\x0B'	// Vertical tabulation
#define ff		'\x0C'	// Form feed
#define cr		'\x0D'	// Carriage return
#define so		'\x0E'	// Shift out
#define si		'\x0F'	// Shift in
#define dle		'\x10'	// Data link espace
#define dc1		'\x11'	// Device control 1 (XON in serial protocol)
#define dc2		'\x12'	// Device control 2
#define dc3		'\x13'	// Device control 3 (XOFF in serial protocol)
#define dc4		'\x14'	// Device control 4
#define nak 	'\x15'	// Negative acknowledge
#define syn		'\x16'	// Synchronous idle
#define etb		'\x17'	// End of tramsmission block
#define can		'\x18'	// Cancel
#define eom		'\x19'	// End of medium
#define sub		'\x1A'	// Substitute (Ctrl+Z)
#define esc		'\x1B'	// Escape
#define fs		'\x1C'	// File separator
#define gs		'\x1D'	// Group separator
#define rs		'\x1E'	// Record separator
#define us		'\x1F'	// Unit separator
#define sp		'\x20'	// Space
#define del		'\x7F'	// Delete

#endif
